/*
 Process Path
========================================================================== */
.block-process-path {
  padding-left: 16px;
}
.block-process-path .path {
  display: flex;
  font-size: clamp(14px, 13.4px + 0.125vw, 15px);
  line-height: 1.65;
  gap: 20px;
  transition: all 0.3s ease;
  position: relative;
}
.block-process-path .path:not(:last-of-type) {
  padding-bottom: 40px;
  border-left: 2px solid rgba(204, 204, 204, 0.5);
}
.block-process-path .path:not(:last-of-type)::after {
  content: "";
  width: 2px;
  left: -2px;
  top: 32px;
  bottom: 100%;
  background: var(--wp--preset--color--accent);
  position: absolute;
  z-index: 0;
  transition: all 0.4s ease-in-out;
}
.block-process-path .path:last-of-type .icon::after {
  margin: 0;
  border: 0px;
  border-radius: 10px;
  background: currentcolor;
}
.block-process-path a {
  display: block;
  text-decoration: none;
  color: currentColor;
}
.block-process-path a:hover i, .block-process-path a:focus-visible i {
  color: var(--wp--preset--color--tertiary, var(--wp--preset--color--secondary));
}
.block-process-path .icon {
  width: 32px;
  height: 32px;
  flex-shrink: 0;
  background: none;
  border-radius: 32px;
  color: var(--wp--preset--color--accent);
  display: flex;
  align-items: center;
  justify-content: center;
  transition: background 0.4s ease, color 0.4s ease, box-shadow 0s ease;
  margin-left: -16px;
  background: white;
  position: relative;
  box-shadow: inset 0 0 0 1px var(--wp--custom--color--border), 0 0 0 0px hsla(from var(--wp--preset--color--accent) h s l/0.25);
}
.block-process-path .icon::after {
  content: "";
  box-sizing: border-box;
  width: 8px;
  height: 8px;
  border-bottom: 2px solid currentcolor;
  border-right: 2px solid currentcolor;
  transform: rotate(45deg);
  margin-top: -4px;
}
.block-process-path .title {
  font-size: clamp(15px, 14.4px + 0.125vw, 16px);
  line-height: 1.5;
  display: flex;
  align-items: center;
  gap: 8px;
  margin-bottom: 7px;
}
.block-process-path .title strong {
  color: var(--wp--custom--color--heading);
}
.block-process-path .title i {
  line-height: 0;
  color: var(--wp--preset--color--secondary);
}
.block-process-path .title svg {
  font-size: clamp(14px, 12.8px + 0.25vw, 16px);
}
.block-process-path .active .icon {
  color: white;
  background: var(--wp--preset--color--accent);
  box-shadow: inset 0 0 0 0px var(--wp--preset--color--accent), 0 0 0 20px transparent;
  transition: background 0.3s ease, color 0.3s ease, box-shadow 1s ease;
}
.block-process-path .active::after {
  bottom: 0% !important;
}
